
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>考察数据科学家支持向量机（SVM）知识的25道题，快来测测吧 / iVAN</title>

    <meta name="description" content="考察数据科学家支持向量机（SVM）知识的25道题，快来测测吧 更多深度文章,请关注云计算频道:https://yq.aliyun.com/cloud Introduction   机器学习强大如一座军械库,里面有各种威力惊人的武器,不过你首先得学会如何使用.举个栗子,回归(Regression)是一把能够有效分析数据的利剑,但它对高度复杂的数据却束手无策.支持向量机(Support Vector Machines,SVM)就好比一把锋利的小刀,特别是在小数据集上建模显得更为强大有力. 本套测试题专为SVM及其应用而设计,目前超过550人注册了这个测试(排行">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">考察数据科学家支持向量机（SVM）知识的25道题，快来测测吧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><b>更多深度文章，请关注云计算频道：</b><b>https://yq.aliyun.com/cloud</b></p>
<h1><b>Introduction</b></h1>
<p>  机器学习强大如一座军械库，里面有各种威力惊人的武器，不过你首先得学会如何使用。举个栗子，回归（Regression）是一把能够有效分析数据的利剑，但它对高度复杂的数据却束手无策。支持向量机（Support<br />
Vector Machines，SVM）就好比一把锋利的小刀，特别是在小数据集上建模显得更为强大有力。</p>
<p>本套测试题专为SVM及其应用而设计，目前超过550人注册了这个测试（<a href="https://datahack.analyticsvidhya.com/contest/svm-skilltest/lb" rel="external nofollow noreferrer">排行榜</a>），一起来看看你的SVM知识能得多少分吧，顺便还能查漏补缺。</p>
<h1><b>Helpful<br />
Resources</b></h1>
<p>1.<a href="https://www.analyticsvidhya.com/blog/2017/09/common-machine-learning-algorithms/" rel="external nofollow noreferrer">十大常用机器学习算法（附Python和R代码）</a></p>
<p>2.<a href="https://www.analyticsvidhya.com/blog/2017/09/understaing-support-vector-machine-example-code/" rel="external nofollow noreferrer">SVM原理及代码</a></p>
<p> </p>
<h1><b>Skill<br />
test Questions and Answers</b></h1>
<p>假定你用一个线性SVM分类器求解二类分类问题，如下图所示，这些用红色圆圈起来的点表示支持向量，据此回答问题1和2：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM1OGE2ZmEzZTRlMzNmMGNkYmE5YWVjMDc0ZGRkYWI1N2QwNDViNTIucG5n.jpg"></p>
<p>1.如果移除这些圈起来的数据，决策边界（即分离超平面）是否会发生改变？</p>
<p>A．Yes     B. No</p>
<p>答案：A</p>
<p>Tips:<br />
如果改变这三个点中任意一个点的位置就会引入松弛约束条件，决策边界就会发生变化。</p>
<p> </p>
<p>2.<br />
如果将数据中除圈起来的三个点以外的其他数据全部移除，那么决策边界是否会改变？</p>
<p>A．True    B. False</p>
<p>答案：B</p>
<p>Tips:<br />
决策边界只会被支持向量影响，跟其他点无关。</p>
<p> </p>
<p>3.关于SVM泛化误差描述正确的是</p>
<p>A．超平面与支持向量之间距离</p>
<p>B．SVM对未知数据的预测能力</p>
<p>C．SVM的误差阈值</p>
<p>答案：B</p>
<p>Tips:<br />
统计学中的泛化误差是指对模型对未知数据的预测能力。</p>
<p> </p>
<p>4.<br />
如果惩罚参数C趋于无穷，下面哪项描述是正确的？</p>
<p>A．若最优分离超平面存在，必然能够将数据完全分离</p>
<p>B．软间隔分类器能够完成数据分类</p>
<p>C．以上都不对</p>
<p> </p>
<p>答案：A</p>
<p>Tips:<br />
如果误分类惩罚很高，软间隔不会一直存在，因为没有更多的误差空间</p>
<p> </p>
<p>5.<br />
以下关于硬间隔描述正确的是</p>
<p>A．SVM允许分类存在微小误差</p>
<p>B．SVM允许分类是有大量误差</p>
<p>C．以上均不正确</p>
<p> </p>
<p>答案：A</p>
<p>Tips:<br />
硬间隔意味着SVM在分类时很严格，在训练集上表现尽可能好，有可能会造成过拟合。</p>
<p> </p>
<p>6.<br />
训练SVM的最小时间复杂度为O(n<sup>2</sup>)，那么一下哪种数据集不适合用SVM?</p>
<p>A．大数据集    <br />
B. 小数据集   C. 中等大小数据集    D. 和数据集大小无关</p>
<p> </p>
<p>答案：A</p>
<p>有明确分类边界的数据集最适合SVM</p>
<p> </p>
<p>7.<br />
SVM的效率依赖于：</p>
<p>A．核函数的选择 <br />
B. 核参数  C. 软间隔参数C  D. 以上所有</p>
<p> </p>
<p>答案：D</p>
<p>Tips:<br />
SVM的效率依赖于以上三个基本要求，它能够提高效率，降低误差和过拟合</p>
<p> </p>
<p>8.<br />
支持向量是那些最接近决策平面的数据点。</p>
<p>A．TRUE    B. FALSE</p>
<p> </p>
<p>答案：A</p>
<p> </p>
<p>9.<br />
SVM在下列那种情况下表现糟糕：</p>
<p>A．线性可分数据 <br />
B. 清洗过的数据   C. 含噪声数据与重叠数据点</p>
<p> </p>
<p>答案：C</p>
<p>Tips:<br />
当数据中含有噪声数据与重叠的点时，要画出干净利落且无误分类的超平面很难</p>
<p> </p>
<p>10.<br />
假定你使用了一个很大γ值的RBF核，这意味着：</p>
<p>A.<br />
模型将考虑使用远离超平面的点建模</p>
<p>B．模型仅使用接近超平面的点来建模</p>
<p>C．模型不会被点到超平面的距离所影响</p>
<p>D．以上都不正确</p>
<p> </p>
<p>答案：B</p>
<p>Tips:<br />
SVM调参中的γ衡量距离超平面远近的点的影响。对于较小的γ，模型受到严格约束，会考虑训练集中的所有点，而没有真正获取到数据的模式、对于较大的γ，模型能很好地学习到模型。</p>
<p> </p>
<p>11.SVM中的代价参数表示：</p>
<p>A．交叉验证的次数</p>
<p>B．使用的核</p>
<p>C．误分类与模型复杂性之间的平衡</p>
<p>D．以上均不是</p>
<p> </p>
<p>答案：C</p>
<p>Tips:代价参数决定着SVM能够在多大程度上适配训练数据。如果你想要一个平稳的决策平面，代价会比较低；如果你要将更多的数据正确分类，代价会比较高。可以简单的理解为误分类的代价。</p>
<p> </p>
<p>假定你使用SVM学习数据X，数据X里面有些点存在错误。现在如果你使用一个二次核函数，多项式阶数为2，使用松弛变量C作为超参之一，请回答12-13。</p>
<p>12.当你使用较大的C（C趋于无穷），则：</p>
<p>A．仍然能正确分类数据</p>
<p>B．不能正确分类</p>
<p>C．不确定</p>
<p>D．以上均不正确</p>
<p> </p>
<p>答案：A</p>
<p>Tips: 采用更大的C，误分类点的惩罚就更大，因此决策边界将尽可能完美地分类数据。</p>
<p> </p>
<p>13.如果使用较小的C（C趋于0），则：</p>
<p>A．误分类</p>
<p>B．正确分类</p>
<p>C．不确定</p>
<p>D．以上均不正确</p>
<p> </p>
<p>答案：A</p>
<p>Tips:分类器会最大化大多数点之间的间隔，少数点会误分类，因为惩罚太小了。</p>
<p> </p>
<p>14.如果我使用数据集的全部特征并且能够达到100%的准确率，但在测试集上仅能达到70%左右，这说明：</p>
<p>A．欠拟合  <br />
B.模型很棒  <br />
C.过拟合</p>
<p> </p>
<p>答案：C</p>
<p>Tips:如果在训练集上模型很轻易就能达到100%准确率，就要检查是否发生过拟合。</p>
<p> </p>
<p>15.下面哪个属于SVM应用</p>
<p>A．文本和超文本分类</p>
<p>B．图像分类</p>
<p>C．新文章聚类</p>
<p>D．以上均是</p>
<p> </p>
<p>答案：D</p>
<p>Tips: SVM广泛应用于实际问题中，包括回归，聚类，手写数字识别等。</p>
<p> </p>
<p>假设你训练SVM后，得到一个线性决策边界，你认为该模型欠拟合。据此回答16-18题：</p>
<p>16.在下次迭代训练模型时，应该考虑：</p>
<p>A．增加训练数据</p>
<p>B．减少训练数据</p>
<p>C．计算更多变量</p>
<p>D．减少特征</p>
<p> </p>
<p>答案：C</p>
<p>Tips:由于是欠拟合，最好的选择是创造更多特征带入模型训练。</p>
<p> </p>
<p>17.假设你在上一题做出了正确的选择，那么以下哪一项会发生：</p>
<p>1.降低偏差</p>
<p>2.降低方差</p>
<p>3.增加偏差</p>
<p>4.降低方差</p>
<p> </p>
<p>A．1和2</p>
<p>B．2和3</p>
<p>C．1和4</p>
<p>D．2和4</p>
<p> </p>
<p>答案：C</p>
<p>Tips:更好的模型会降低偏差并提高方差</p>
<p> </p>
<p>18.假如你想修改SVM的参数，同样达到模型不会欠拟合的效果，应该怎么做？</p>
<p>A．增大参数C</p>
<p>B．减小参数C</p>
<p>C．改变C并不起作用</p>
<p>D．以上均不正确</p>
<p> </p>
<p>答案：A</p>
<p>Tips:增大参数C会得到正则化模型</p>
<p> </p>
<p>19.SVM中使用高斯核函数之前通常会进行特征归一化，以下关于特征归一化描述正确的是？</p>
<p>1．经过特征正则化得到的新特征优于旧特征</p>
<p>2．特征归一化无法处理类别变量</p>
<p>3．SVM中使用高斯核函数时，特征归一化总是有用的</p>
<p>A．1   <br />
B. 1 and 2    C. 1 and 3    D. 2 and 3</p>
<p>答案：B</p>
<p> </p>
<p>假定你使用SVM来处理4类分类问题，你使用了one-vs-all策略，据此回答20-22</p>
<p>20.此种情况下要训练SVM模型多少次？</p>
<p>A.1</p>
<p>B.2</p>
<p>C.<br />
3</p>
<p>D.<br />
4</p>
<p> </p>
<p>答案：D</p>
<p>Tips:使用one-vs-all策略就要训练4次<br />
，每次把一个类当成正类，其他的类当作负类，然后学习出4个模型，对新数据取函数值最大的那个类作为预测类别</p>
<p> </p>
<p>21.<br />
假定用one-vs-all训练一次SVM要10秒，那么总共应该训练多少秒？</p>
<p>A．20</p>
<p>B．40</p>
<p>C．60</p>
<p>D．80</p>
<p> </p>
<p>答案：B</p>
<p>Tips:每个训练10秒，要训练4次，那就是40秒</p>
<p> </p>
<p>22.<br />
假设现在只有两个类，这种情况下SVM需要训练几次？</p>
<p>A．1</p>
<p>B．2</p>
<p>C．3</p>
<p>D．4</p>
<p>答案：A</p>
<p>Tips:两个类训练1次就可以了</p>
<p> </p>
<p>假设你训练了一个基于线性核的SVM，多项式阶数为2，在训练集和测试集上准确率都为100%，据此回答23-24</p>
<p>23.<br />
如果增加模型复杂度或核函数的多项式阶数，将会发生什么？</p>
<p>A．导致过拟合</p>
<p>B．导致欠拟合</p>
<p>C．无影响，因为模型已达100%准确率</p>
<p>D．以上均不正确</p>
<p> </p>
<p>答案：A</p>
<p>Tips:增加模型复杂度会导致过拟合</p>
<p> </p>
<p>24.<br />
如果增加模型复杂度之后，你发现训练集上准确率还是100%，可能是什么原因造成的？</p>
<p>1.数据不变，适配更多的多项式项或参数，算法开始记忆数据中的一切</p>
<p>2.数据不变，SVM不必在更大的假设空间中搜索分类超平面</p>
<p> </p>
<p>A．1</p>
<p>B．2</p>
<p>C．1 and 2</p>
<p>D．以上均不正确</p>
<p> </p>
<p>答案：C</p>
<p> </p>
<p>25.以下关于SVM核函数说法正确的是</p>
<p>1.<br />
核函数将低维数据映射到高维空间</p>
<p>2.<br />
是一个相似度函数（similarity function）</p>
<p> </p>
<p>A．1</p>
<p>B．2</p>
<p>C．1 and 2</p>
<p>D．以上均不正确</p>
<p> </p>
<p>答案：C</p>
<h1><b>Overall<br />
Distribution</b></h1>
<p>至今超过350人参与了这项测试，得分分布情况如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzE2M2EwZTIyZGIzZWNkY2RhYjJkNDg5NmIyMDEyYjMzZGRmMjg4NGQucG5n.jpg"></p>
<p>作者博客还有其他如降维、机器学习、SQL的自测题，感兴趣的可以去作者博客看看。</p>
<p><b><br /></b></p>
<p><b>作者信息</b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM4YWE4NWZlOGFkMTNjMzcxNDQ5ZTRmZmQxYWRkZjBiNWFkN2QwMDQuanBlZw==.jpg"></p>
<p><a href="https://www.analyticsvidhya.com/blog/author/facebook_user_4/" rel="external nofollow noreferrer">Ankit Gupta</a>，Ankit是一名自由数据科学家，解决了很多领域的复杂数据挖掘问题，热衷于学习更多数据科学和机器学习的知识。</p>
<p>GitHub: <a href="https://github.com/anki1909" rel="external nofollow noreferrer">https://github.com/anki1909</a></p>
<p>LinkedIn: <a href="https://www.linkedin.com/in/ankit-gupta-84b737ba?trk=nav_responsive_tab_profile" rel="external nofollow noreferrer">https://www.linkedin.com/in/ankit-gupta-84b737ba?trk=nav_responsive_tab_profile</a></p>
<p>文章原标题《25 Questions to test a Data Scientist on Support Vector Machines》，作者： Robert Chang，译者：李烽，审阅：海棠</p>
<p>文章为简译，更为详细的内容，请查看<a href="https://www.analyticsvidhya.com/blog/2017/10/svm-skilltest/" rel="external nofollow noreferrer">原文</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:26:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/svm/" title="svm">svm</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%a7%91%e5%ad%a6%e5%ae%b6/" title="数据科学家">数据科学家</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81%e5%90%91%e9%87%8f%e6%9c%ba/" title="支持向量机">支持向量机</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e6%b5%8b%e9%a2%98/" title="自测题">自测题</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>考察数据科学家支持向量机（SVM）知识的25道题，快来测测吧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4xaoz.html" rel="bookmark">考察数据科学家数据降维知识的40道题，快来测测吧&lpar;附答案&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注:https://yq.aliyun.com/cloud 作者介绍 Ankit Gupta:数据科学家.IIIT Allahabad研究助理,热爱解决复杂的数据挖掘问题.了解更多关于数据科学和机器学习算法,目前致力于预测软件缺陷的项目. 领英:https://www.linkedin.com/in/ankit-gupta Github:https://github.com/anki1909 博客:https://www.analyticsvidhya.com/blog/aut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZkJNM.html" rel="bookmark">【独家】考察数据科学家和分析师的41个统计学问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍   统计学是数据科学和任何数据分析的基础.良好的统计学知识可以帮助数据分析师做出正确的商业决策.一方面,描述性统计帮助我们通过数据的集中趋势和方差了解数据及其属性.另一方面,推断性统计帮助我们从给定的数据样本中推断总体的属性.了解描述性和推断性统计学知识对于立志成为数据科学家或分析师至关重要. 为了帮助您提高统计学知识,我们进行了这次实践测试.测试涉及描述性和推断性统计.测试题提供了答案和解释,以防你遇到卡壳的问题. 如果您错过了测试,请在阅读答案之前尝试解决问题. 总得分 以下是测试得分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyyRdz.html" rel="bookmark">如何成为一名数据科学家&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者Alec Smith是数据科学领域中资深HR,之所以写这篇文章是因为经常被问到一个问题:&quot;如何才能获得一份数据科学家的职位?&quot; 不仅这个问题经常被问引起了注意,另外问这个问题的人不同的背景也非常很令人感兴趣.作者曾经和以下这些职业的人有过类似对话:软件工程师.数据库开发者.数据架构师.保险精算师.数学家.学术界人士(不同领域).生物学家.天文学家.理论物理学家-我还能接着往下数.通过和他们的这些谈话,作者发现在这之中有很大的误解存在,很多人都非常困惑--为了闯入这个领域的话,他们需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKK4Zp.html" rel="bookmark">如何成为一名数据科学家？（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				联合编译:Blake.高斐 编者注:作者Alec Smith是数据科学领域中资深HR,之所以写这篇文章是因为经常被问到一个问题:&quot;如何才能获得一份数据科学家的职位?&quot; 不仅这个问题经常被问引起了注意,另外问这个问题的人不同的背景也非常很令人感兴趣.作者曾经和以下这些职业的人有过类似对话:软件工程师.数据库开发者.数据架构师.保险精算师.数学家.学术界人士(不同领域).生物学家.天文学家.理论物理学家-我还能接着往下数.通过和他们的这些谈话,作者发现在这之中有很大的误解存在,很多人都非常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrvaaWM.html" rel="bookmark">如何成为一名数据科学家？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编者注:作者Alec Smith是数据科学领域中资深HR,之所以写这篇文章是因为经常被问到一个问题:&quot;如何才能获得一份数据科学家的职位?&quot; 不仅这个问题经常被问引起了注意,另外问这个问题的人不同的背景也非常很令人感兴趣.作者曾经和以下这些职业的人有过类似对话:软件工程师.数据库开发者.数据架构师.保险精算师.数学家.学术界人士(不同领域).生物学家.天文学家.理论物理学家-我还能接着往下数.通过和他们的这些谈话,作者发现在这之中有很大的误解存在,很多人都非常困惑--为了闯入这个领域的话			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RWNnz.html" rel="bookmark">数据科学家45题自测：回归知识部分（有答案和解析）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				回归分析远远不止线性或逻辑回归,它包含了许多针对多个变量建模和分析的技巧.该测试旨在考察关于回归技巧的理论和实践知识.这份数据科学家45题的自测,共有1845人参加.如果错过了这次技巧测试,那也无妨,作者给出了所有问题和详细解答. 下为翻译文章: 总体成绩 下图为分数分布图,可以帮助自我评价. 你可以在这里评价自己的表现.大约530人参与了技巧测试,最高分为38,平均分为23.15,中位数得分和模式得分都是23. Q1.下列哪一个项对欠拟合和过拟合的权衡影响最大? A.多项式次数 B.是否通过矩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqAxAp.html" rel="bookmark">深度&vert;普惠大数据中心首席数据科学家李文哲：知识图谱的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导读:知识图谱 (KnowledgeGraph) 是当前的研究热点.自从2012年Google推出自己第一版知识图谱以来,它在学术界和工业界掀起了一股热潮.各大互联网企业在之后的短短一年内纷纷推出了自己的知识图谱产品以作为回应.比如在国内,互联网巨头百度和搜狗分别推出&quot;知心&quot;和&quot;知立方&quot;来改进其搜索质量.那么与这些传统的互联网公司相比,对处于当今风口浪尖上的行业 - 互联网金融,知识图谱可以有哪方面的应用呢? 目录: 1. 什么是知识图谱? 2. 知识图谱的表示 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwvwOp.html" rel="bookmark">数据科学家需要掌握的10项统计技术，快来测一测吧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注云计算频道:https://yq.aliyun.com/cloud 无论你是不是一名数据科学家,都不能忽视数据的重要性.数据科学家的职责就是分析.组织并利用这些数据.随着机器学习技术的广泛应用,深度学习吸引着大量的研究人员和工程师,数据科学家也将继续站在技术革命的浪潮之巅. 虽然编程能力对于数据科学家而言非常重要,但是数据科学家不完全是软件工程师,他应该是编程.统计和批判性思维三者的结合体.而许多软件工程师通过机器学习框架转型为数据科学家时,没有深刻地思考并理解这些框架背后的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Ym3ZM.html" rel="bookmark">最新出炉&mdash;&mdash;数据科学家最常使用的十大算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文来自于KDnuggets所做的十大算法调查,对于数据工程师常用的算法进行排名,并对其在2011-2016年间的变化进行介绍. 基于调查,KDnuggets总结出了数据科学家最常使用的十大算法,它们分别是: 1. Regression 回归算法 2. Clustering 聚类算法 3. Decision Trees/Rules 决策树 4. Visualization 可视化 5. k-Nearest Neighbor 邻近算法 6. PCA (Principal Component Ana			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmDm7M.html" rel="bookmark" class="title">按钮的制作</a>
					<div>
						按钮 开始教程之前,还是先来看按纽的几款效果图 通过效果的观察,想必大家对于上面这些按钮的制作方法已经有了一些初步的想法,好,那么就请看看下面的操作步骤是否和你的想法相吻合~~ 1.打开FW,新建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPyrAz.html" rel="bookmark" class="title">PHP教程&colon;GD库的imagecolorset函数简单修改图片颜色</a>
					<div>
						现在有一张背景色为纯蓝色(或者红色等) 并且与照片里人物有很明显的反差色彩 的一寸单人照照片,现想把,该图片中的蓝色背景用PHP处理为白色.即类似于PS中,用白色填充蓝色的效果. 使用GD库的imag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrZXvM.html" rel="bookmark" class="title">Visual C&num; 2005 Express Edition Beta的第一天使用</a>
					<div>
						express|visual 安装:下了Express Edition几天了,安装时碰到了一些问题.原先机器里装过VS 2005的预览版.1.2的.Net Framework和Java#等在控制面板的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5nKRz.html" rel="bookmark" class="title">合理应用activity的启动方式优化程序内存</a>
					<div>
						在Android中每个界面都是一个Activity,切换界面操作其实是多个不同Activity之间的实例化操作.在Android中Activity的启动模式决定了Activity的启动运行方式. Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyDgeb.html" rel="bookmark" class="title">关于活动目录复制以及站点浅析</a>
					<div>
						大家对微软的活动目录已经并不陌生,活动目录分为两种结构:逻辑结构和物理结构.活动目录的逻辑结构指的就是域(domain),而物理结构指的就是站点(site).大家可能对域都已经比较了解了,但是对于站点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKD8Wp.html" rel="bookmark" class="title">腾讯手机管家查杀病毒图文步骤</a>
					<div>
						  腾讯手机管家怎么查杀病毒        1.首先要在你的手机中安装一个&quot;腾讯手机管家&quot;软件,然后打开运行程序,在&quot;腾讯手机管家&quot;的首页面中可以看到目前手机包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1RZqz.html" rel="bookmark" class="title">如何将NTFS格式文件系统改回FAT32格式</a>
					<div>
						问:我电脑重装系统后,除了C盘外,其他几个盘的文件系统都由原来的FAT32格式变成了NTFS格式,这是怎么回事,如何改回来呢? 答:分区的文件系统不会无缘无故从FAT 32格式变成NTFS,这是你所使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN79mb.html" rel="bookmark" class="title">PS常用的照片美容美白5大技巧速成教程</a>
					<div>
						在后期处理越发重要的今天,不管是商业广告,还是网络红人,我们的摄影行业,都可以看到PS后期处理的存在,本篇广受好评的系列教程正是为你而撰写,它非常易于阅读和学习.让你在将来的人像后期处理上事半功倍,更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJnyop.html" rel="bookmark" class="title">2013最好用的刷机软件排行榜</a>
					<div>
						  TOP1:刷机精灵 刷机精灵是一款运行于PC端的Android手机一键刷机软件,能够帮助用户在简短的流程内快速完成刷机升级.它能够帮您自动安装设备驱动.自动获取ROOT权限.自动刷入Clockwo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24daQp.html" rel="bookmark" class="title">天天动听怎么导入歌曲</a>
					<div>
						  1.首先使用手机打开天天动听软件. 2.打开播放器后,点一下屏幕下方,或者按一下手机的&quot;右键&quot;弹出选项,选择&quot;扫描音乐&quot; 3.再点&quot;WiFi传歌& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EYlaM.html" rel="bookmark" class="title">c语言-C语言的简单问题求解，谢谢了</a>
					<div>
						问题描述 C语言的简单问题求解,谢谢了 ACM上一道简单的题Description计算:t=1-1/(2*2)-1/(3*3)-...-1/(m*m) Input整型变量m Outputt(保留六位小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZdY9b.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; DKTagCloudView - 标签云View</a>
					<div>
						DKTagCloudView 效果(支持点击view触发事件): Overview DKTagCloudView is a tag clouds view on iOS. It can generat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YJNqM.html" rel="bookmark" class="title">Apache OpenOffice 与 LibreOffice 之间的抉择</a>
					<div>
						这两个开源办公套件产品很相似,然而某一个貌似已经开始具有轻微的领先优势-- Apache OpenOffice和LibreOffice都是OpenOffice.org的现代衍生产品.最近几年,几乎所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmXN0z.html" rel="bookmark" class="title">阿里内核月报2014年3月</a>
					<div>
						目前Linux内核急需的一项功能是在线打补丁的特性.此前被Oracle收购的ksplice一度是Linux上唯一的解决方案.但是在被Oracle收购后,ksplice就闭源了,并且成为了Oracle  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRedEz.html" rel="bookmark" class="title">Android零碎知识</a>
					<div>
						  Android零碎知识 分类: android  一.android:stopWithTask 用于 &lt;service&gt; 可在 R.attr 中找到,有两个疑惑:         1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA5RRM.html" rel="bookmark" class="title">Docker生态会重蹈Hadoop的覆辙吗&quest;</a>
					<div>
						2016-12-02 来源:36大数据 Docker的兴起和Hadoop何其相似 2015年说是Docker之年不为过,Docker热度高涨,IT从业人员要是说自己不知道Docker都不好意说自己是做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YKrkM.html" rel="bookmark" class="title">游戏项目中的自动化测试和持续集成</a>
					<div>
						现在,许多游戏项目要么跳票严重,要不就是发布时Bug多多.当然,这样的现象并不仅存于游戏工业.例如,根据2001Standish集团发表的那份 声名狼藉的报告&quot;极度混乱&quot;所表述的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamGQPb.html" rel="bookmark" class="title">【程序员眼中的统计学（6）】几何分布、二项分布及泊松分布：坚持离散</a>
					<div>
						几何分布.二项分布及泊松分布:坚持离散 1 回顾题引 1 问题? 小明滑雪: 每次(独立事件)试滑成功的概率0.2,不成功的概率0.8.则 成功 失败 0.2 0.8 1.试滑两次成功的概率?2.试滑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD7RKz.html" rel="bookmark" class="title">update用其他表的值-A表值设置修改成B表查询值减1</a>
					<div>
						问题描述 A表值设置修改成B表查询值减1 A表里资质员工是F,如果在B表里发现这个员工升级到资质E需要把A表里的资质失效期设置成B表里资质有效期减一天					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKgaVb.html" rel="bookmark" class="title">阿里云redis大key搜索工具</a>
					<div>
						Redis提供了list.hash.zset等复杂类型的数据结构,业务在使用的时候可能由于key设计不合理导致某个key过大,由于redis简单的单线程模型,业务在获取或者删除大key的时候都会有一定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z7m4p.html" rel="bookmark" class="title">谷歌微软重拳出击 屏蔽大量儿童色情内容链接</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网易科技讯北京时间11月18日消息,据国外媒体报道,英国首相大卫-卡梅隆(David Cameron)今年7月曾向谷歌和其他互联网巨头发出通知,要求它们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBdDmM.html" rel="bookmark" class="title">匿名社交秘密在科技圈蛮火的</a>
					<div>
						这段时间,匿名社交秘密在科技圈蛮火的,于是吧,就有人建议,阿里还做什么来往啊,收了秘密得了.笔者表示,深以为然. 但奈不住,此乃我等升斗小民之想法,阿里所要追求的是高大上的全面突击,你以为那啥科技圈内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNYl3M.html" rel="bookmark" class="title">三流大专孤单的IT学子，不打无准备之战</a>
					<div>
						[来信] 贺老师您还记得我么?我就是上次那个大一暑假就是找程序员然后被碰壁了那个,然后听了贺老师那席话后我又回去仔细专研技术了,我记得之前贺老师跟我讲过&quot;你现在最大的优势就是你现在才大一,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB85mM.html" rel="bookmark" class="title">求关于重写日历控件代码的解释。</a>
					<div>
						问题描述 代码来源中对HitTest不理解,还有__offsetX._offsetY值什么时候变化,因为初始值为0,在关于它的引用中,值是怎么变化的,比如RectanglecurrentDayFram ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAQ47b.html" rel="bookmark" class="title">消息称谷歌操作系统今日发布 或含简体中文版</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 11月18日凌晨消息,备受关注的谷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWPeEM.html" rel="bookmark" class="title">ASP&period;net Unicode转换为Native</a>
					<div>
						问题描述 请问在ASP.NETC#后台程序中,如何将一串&quot;u5317u4eac&quot;Unicode字符转换成字符串?? 解决方案 解决方案二:那位大哥,帮帮忙解决方案三:C#默认就是u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJEP8p.html" rel="bookmark" class="title">环境-php 加载mysqlL模块时不成功</a>
					<div>
						问题描述 php 加载mysqlL模块时不成功 ubutun上配置php环境 我已经安装好php5-mysql,并且已经在php.ini中加入了 但是phpinfo()中就不显示MySQL模块,mys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqlg7p.html" rel="bookmark" class="title">预计2012年全球数据中心投资规模将增长17&percnt;</a>
					<div>
						世纪互联云计算首席专家李志霄博士日前表示,用数据爆炸来形容当前的IT发展一点也不为过,数据增长永无止境.而数据的几何级增长导致了对于可支持云计算的大型数据中心需求猛增,谷歌.微软.苹果等IT巨头都在部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwlZEM.html" rel="bookmark" class="title">跟踪优化用户访问足迹体现网站信任感</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 用户体验设计一直在重视网站安全感, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr238xM.html" rel="bookmark" class="title">上网本七天包退换遭拒：要求检测是&OpenCurlyDoubleQuote;行规&rdquo;</a>
					<div>
						晚报 朱贝尔 报道 近日,张先生为女儿买了一台上网本,但是当天晚上打开使用时就发现有质量问题,当天晚上找商家换却被拒绝.商家要求张先生去指定维修点鉴定,几番周折后才勉强换了一台.张先生质疑,七天包退十 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
